[package]
name = "rust-engine"
version = "0.1.0"
authors = ["Till <asuro@posteo.de>"]
edition = "2018"
default-run = "rust-engine"

[dependencies]
vulkano-shaders = "0.20"
vulkano = "0.20"
vulkano-win = "0.20"
cgmath = "0.17.0"
winit = "0.24"
image = "0.23.6"
serde = "1.0.114"
serde_json = "1.0.59"
serde_derive = "1.0.114"
toml = "0.5.6"
gilrs = "0.7.4"
gltf = "0.15.2"

[[bin]]
name = "converter"
path = "build/converter/src/main.rs"